org.apache.maven.scm.command.remove

## Class AbstractRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractCvsRemoveCommand, BazaarRemoveCommand, ClearCaseRemoveCommand, GitRemoveCommand, HgRemoveCommand, PerforceRemoveCommand, StarteamRemoveCommand, SvnRemoveCommand, SynergyRemoveCommand

    public abstract class AbstractRemoveCommand
    extends AbstractCommand

Version:
  $Id: AbstractRemoveCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRemoveCommand()`

### Method Summary

Methods
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ScmResult` `executeRemoveCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRemoveCommand

    public AbstractRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected abstract ScmResult executeRemoveCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 String message)
                                               throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`